Skip to main content

Database Catalog

View as Markdown

DatabaseCatalog object

namestringPublic Preview

The name of the catalog in UC.

database_instance_namestringPublic Preview

The name of the DatabaseInstance housing the database.

database_namestringPublic Preview

The name of the database (in an instance) associated with the catalog.

uidstringPublic Preview
create_database_if_not_existsbooleanPublic Preview

Get Public Preview

GET /api/2.0/database/catalogs/{name}

Get a Database Catalog.

API scopes: postgres

Parameters

namestringpath

Response

Returns the DatabaseCatalog object.

Create Public Preview

POST /api/2.0/database/catalogs

Create a Database Catalog.

API scopes: postgres

Request body

catalogobject
Show child attributesHide child attributes
namestring

The name of the catalog in UC.

database_instance_namestring

The name of the DatabaseInstance housing the database.

database_namestring

The name of the database (in an instance) associated with the catalog.

uidstring
create_database_if_not_existsboolean

Response

Returns the DatabaseCatalog object.

Delete Public Preview

DELETE /api/2.0/database/catalogs/{name}

Delete a Database Catalog.

API scopes: postgres

Parameters

namestringpath